Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class Compile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.Compile

    class Compile
    extends SourceTask

author:
  Hans Dockter

Field Summary
`protected AntJavac` | `antCompile`

Constructor Summary
`Compile()`

Method Summary
`protected void` | `compile()`
`java.lang.Iterable` | `getClasspath()`
`File` | `getDependencyCacheDir()`
`File` | `getDestinationDir()`
`CompileOptions` | `getOptions()`
`java.lang.String` | `getSourceCompatibility()`
`java.lang.String` | `getTargetCompatibility()`
`void` | `setAntCompile(AntJavac antCompile)`
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDependencyCacheDir(File dependencyCacheDir)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setOptions(CompileOptions options)`
`void` | `setSourceCompatibility(java.lang.String sourceCompatibility)`
`void` | `setTargetCompatibility(java.lang.String targetCompatibility)`

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Field Detail

### antCompile

    protected AntJavac antCompile

Constructor Detail

### Compile

    Compile()

Method Detail

### compile

    @TaskAction
    protected void compile()

### getClasspath

    @InputFiles
    public java.lang.Iterable getClasspath()

### getDependencyCacheDir

    @OutputDirectory
    public File getDependencyCacheDir()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

### getOptions

    public CompileOptions getOptions()

### getSourceCompatibility

    public java.lang.String getSourceCompatibility()

### getTargetCompatibility

    public java.lang.String getTargetCompatibility()

### setAntCompile

    public void setAntCompile(AntJavac antCompile)

### setClasspath

    public void setClasspath(FileCollection configuration)

### setDependencyCacheDir

    public void setDependencyCacheDir(File dependencyCacheDir)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setOptions

    public void setOptions(CompileOptions options)

### setSourceCompatibility

    public void setSourceCompatibility(java.lang.String sourceCompatibility)

### setTargetCompatibility

    public void setTargetCompatibility(java.lang.String targetCompatibility)

Groovy Documentation